<?php

/*
''''''''''''''''''''''''''''''''''''''''
''''''             ESCPRO         ''''''
'''''''''Copyright (C) 2001-2009''''''''
'''''''''''Michael Brinsteiner '''''''''
'''''''''''http://www.escpro.de ''''''''
''''''''''''''''''''''''''''''''''''''''
*/

if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<!--Design by Michael Brinsteiner escpro design www.escpro.de-->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo     DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<?php
	if(function_exists('register_frontend_modfiles')) {
		register_frontend_modfiles('css');
		register_frontend_modfiles('js');
	}
?>
<title><?php page_title('', '[PAGE_TITLE]&nbsp;-&nbsp;[SPACER][WEBSITE_TITLE]'); ?> - escpro</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<link href="<?php echo TEMPLATE_DIR; ?>/style.css" rel="stylesheet" type="text/css" media="screen" />
</head><body>
<div id="wrapper">

         	<div id="header">
                 <div id="header-links">
                         <?php
                 show_menu(2,0,1,true,'[a][menu_title] [/a]','</li>','<p>','</p>',' class="menu_default"','class="active"');
                 ?>
		</div>

	<!--header ends-->
	</div>
         <div id="menu">
         <?php
                 show_menu(1,0,1,true,'<li><span[class]>[a][menu_title] [/a]</span>','</li>','<ul>','</ul>',' class="menu_default"','class="active"');
                 ?>
         </div>

	<div id="content">
	     <div id="right">
                 <h1><?php page_title('', '[PAGE_TITLE]'); ?></h1>
                 <?php page_content(1); ?>
	     </div>
	     <div id="left">
		<h2>Detail Menue</h2>
                 <?php
                 show_menu(1,1,2,true,'<li>[a][menu_title] [/a]','</li>','<ul>','</ul>',' class="menu_default"','class="active"');
                 ?>
              <?php
	         if(FRONTEND_LOGIN == 'enabled' AND VISIBILITY != 'private'
	           AND $wb->get_session('USER_ID') == '') {
	         ?>
	           <h2><?php echo $TEXT['LOGIN']; ?></h2>
                    <div id="loginmaske">
	           <form name="login" action="<?php echo LOGIN_URL; ?>" method="post">
	             <?php echo $TEXT['USERNAME']; ?>:
	             <input type="text" name="username" />
	             <?php echo $TEXT['PASSWORD']; ?>:
	             <input type="password" name="password" />
	             <input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" />
	             <br><a href="<?php echo FORGOT_URL; ?>">
	             <?php echo $TEXT['FORGOT_DETAILS']; ?></a>
	             <?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
	               <br><a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
	             <?php } ?>
	           </form>
	           </div>
	         <?php
	         } elseif(FRONTEND_LOGIN=='enabled' AND is_numeric($wb->get_session('USER_ID'))){
	         ?>
	           <h2>Login: <?php echo $TEXT['LOGGED_IN']; ?></h2>
                    <div id="loginmaske">
	           <form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post">

	             <a href="<?php echo PREFERENCES_URL; ?>">
	             <?php echo $MENU['PREFERENCES']; ?></a>
	             <a href="<?php echo ADMIN_URL; ?>/index.php">
	             <?php echo $TEXT['ADMINISTRATION']; ?></a><br /><br/><input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
	           </form>
	           </div>
	         <?php
	         }
	         ?>
                 <?php if(SHOW_SEARCH) { ?>
         <h2>Suche</h2>
         <div class="search_box">
  		<form name="search" action="<?php echo WB_URL; ?>/search/index.php" method="get">
    		<input type="text" name="string" class="search_string" />
    		<input type="submit" name="submit" value="<?php echo $TEXT['SEARCH']; ?>" />
  		</form>
	</div>
		<?php } ?>
                 <h2>Aktuelle News</h2>
                 <?php
					// Specify the Group(id) you want to read the news from or 0 for all groups
					$group = 0;

					// Specify number of newsitems
					$limit=10;

					// Specify read more text
					$readmore = "Weiterlesen";

					// Query for obtaining stuff from a group
					$query = "SELECT * FROM ".TABLE_PREFIX."mod_news_posts WHERE group_id = $group and active = 1 ORDER BY position DESC LIMIT 0, 10;";

					// Query for all groups ;)
					if ($group<1 ) {
					  $query = "SELECT * FROM ".TABLE_PREFIX."mod_news_posts WHERE active = 1 ORDER BY position DESC LIMIT 0, 10;";
					}

					// No changes needed here, maybe for output!

					global $database;

					$result = $database->query($query);
					$total = $result->numRows();      // how many items are there?

					if ($total>1) {                   // at least 2 needed for 2 news items
					  $data = $result->fetchRow() ;   // get left item
					  $data2 = $result->fetchRow() ;  // get right item
					  echo '<p><strong>'.$data['title'].'</strong><br />'.$data['content_short'].'</p><p><a href="'.WB_URL.PAGES_DIRECTORY.$data['link'].PAGE_EXTENSION.'">'.$readmore.'</a></p>';
                                           echo '<p><strong>'.$data2['title'].'</strong><br />'.$data2['content_short'].'</p><p><a href="'.WB_URL.PAGES_DIRECTORY.$data2['link'].PAGE_EXTENSION.'">'.$readmore.'</a></p>';
					}
					else {
					  echo '<span><a href="http://www.escpro.de" title="escpro design">escpro</a></span>';
					}
					?>
                                         <br>
                                         <?php page_content(2); ?>

                         <div class="slim"></div></div>

	</div>
	<div id="footer">
		<p>Copyright &copy; 2008 <?php page_footer(); ?>
                 <a href="http://jigsaw.w3.org/css-validator/check/referer" class="css">Valid CSS</a> by <a href="http://www.escpro.de" title="Websitebaker Templates">Escpro</a>
                 </p>
	</div>
</div>
</body>
</html>